jQuery(document).ready(function() {
    document.querySelector('a[aria-label="Deactivate Object Data Sync for Salesforce"]').onclick = function(event) {
        event.preventDefault();
        jQuery("#mo_sf_sync_feedback_modal").show()
        jQuery("#mo_sf_sync_feedback_modal #query_feedback").focus()

        jQuery(".mo_sf_sync_close").click(function(){
            jQuery("#mo_sf_sync_feedback_modal").hide()
        })

        return false;
    };

    const INPUTS = document.querySelectorAll('#mo_sf_sync_smi_rate input');
    INPUTS.forEach(el => el.addEventListener('click', mo_sf_sync_update_value));

    jQuery(".mo_sf_sync_editable").click(function(){    
        document.querySelector('#mo_sf_sync_query_mail').removeAttribute('readonly');
        document.querySelector('#mo_sf_sync_query_mail').focus();
        return false;
    });

    function mo_sf_sync_update_value(e) {
        document.querySelector('#mo_sf_sync_outer').style.visibility = "visible";
        var result = feedbackFormConfig[`feedback_${e.target.value}`];
        jQuery('#mo_sf_sync_result').html(result);
    }
});
